package com.jkcredit.invoice.component;

import com.jkcredit.invoice.util.LogFileName;
import com.jkcredit.invoice.util.LoggerUtil;
import org.slf4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.mail.javamail.JavaMailSenderImpl;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.stereotype.Component;
import javax.mail.MessagingException;
import javax.mail.internet.MimeMessage;
@Component
public class SendMailService {
    Logger MIX_LOG = LoggerUtil.logger(LogFileName.MIX_LOG);
    
    @Autowired
    private JavaMailSenderImpl javaMailSender;
    @Value("${spring.mail.username}")
    String user;
    public void sendMail(String email,String contents,String company) throws MessagingException {
        MimeMessage message = javaMailSender.createMimeMessage();
        MimeMessageHelper helper = new MimeMessageHelper(message);
        helper.setFrom(user);
        String [] emailStr = email.split("#");
        helper.setTo(emailStr);
        helper.setSubject(company+"备案提交");
        helper.setText(contents,true);
        MIX_LOG.info("before send emil");
        javaMailSender.send(message);
        MIX_LOG.info("send emil");
    }
}
